---
title: Add identification
slug: tutorials/api/customer-management/add-id-details
description: Guides adding identity documents via POST /core/v1/cm/customers/{customerId}/identifications, including types and issuing info
docTags: 
createdAt: 2024-08-12T13:27:02.018Z
---

## What you will learn

✅ How to update a COS [customer record](docId\:EDJywbh2OgbvTQleF_QZZ) with physical ID metadata or other identification information. It is *mandatory* to have an identification record (such as a driver's license) associated with a customer record.

:::hint{type="info"}
If you are new to customer management, we recommend you read our [customer onboarding](docId\:Nt23Lv6UL3hwB2r5bz4K9) documentation.

The tutorial assumes you have a knowledge of APIs and how they work. Refer to [API basics](docId\:pUTTCwQ5SKLzxYzIn5D1b) for more details.
:::

The tutorial uses this API endpoint:

| API                                                                                           | Description                                                                                |
| --------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| [POST /core/v1/cm/customers/&#x7B;customerId}/identifications](docId\:QjfGSujVfqoxCpJiqzLfF)  | Adds unique identification metadata of customer-identifying documents to customer details. |

## Before you begin

Make sure you have:

- [API credentials](docId\:wmg-1Fqwq3bj-D3c3HFfs)&#x20;
- `customerId` (only available once the customer is [onboarded](docId\:iXWQHkcTI4dw4d_LoutGh))
- The necessary details for the identification you are adding to the customer record. Depending on the type of identification, you might need:
  - ID serial number
  - Expiration date
  - Details of the issuing authority
  - Other information

## Add ID information to existing record

You might want or need to add a drivers license, passport or other identification to an existing customer record. If your agreement with Cross River includes BIN, you need to add the card processor unique identifier for that customer to their COS record.

In this tutorial, you'll add a driver's license to Peter Griffin's customer record.

:::::WorkflowBlock
::::WorkflowBlockItem
Call `POST /core/v1/cm/customers/{customerId}/identifications`. The attributes below are required. See the [full list of attributes](docId\:QjfGSujVfqoxCpJiqzLfF).

| Detail                                                                    | Request attribute name | Value to use in the request                                             |
| ------------------------------------------------------------------------- | ---------------------- | ----------------------------------------------------------------------- |
| Cross River customer ID (provided when the customer was onboarded to COS) | `customerId`           | ID from the [onboard a customer](docId\:iXWQHkcTI4dw4d_LoutGh) tutorial |
| True if the ID is the primary ID for this customer. Otherwise false.      | `isPrimary`            | **true**                                                                |
| License ID number                                                         | `idNumber`             | **123 456 789**                                                         |
| ID type                                                                   | `idType`               | **DriversLicense**                                                      |
| License Issue date                                                        | `issuedDate`           | **2022-07-15**                                                          |
| License Expiration date                                                   | `expDate`              | **2029-07-14**                                                          |
| License Issuing authority                                                 | `issuingAuthority`     | **New York DMV**                                                        |
| License Issuing country code                                              | `issuingCountryCode`   | **US**                                                                  |

:::hint{type="warning"}
**IMPORTANT**
We highly recommend you include an [idempotency key](docId\:xQC2lRsG0xVv_9NMkqxKk) in your request header to provide duplicate protection in the event of a failure.
:::

:::CodeblockTabs
Sample request

```curl
curl -X POST
--header 'Content-Type: application/json'
--header 'Accept: application/json'
--header 'Authorization: Bearer <token>'
-d '{ \
  "isPrimary": true,
  "idNumber": "123 456 789",
  "idType": "DriversLicense",
  "issuedDate": "2022-07-15",
  "expDate": "2029-07-14",
  "verifiedDate": "2023-05-21",
  "issuingAuthority": "NY DMV",
  "issuingStateOrProvince": "NY",
  "issuingCountryCode": "US",
}' 'https://sandbox.crbcos.com/Core/v1/cm/customers/b71cf966-7896-40a0-88c5-af5g0138fc8c/identifications'
```
:::
::::

:::WorkflowBlockItem
A successful API call returns a JSON response confirming the identification details added in COS. The `id` attribute indicates the COS ID of that specific identification item. In the sample below, the ID is **6d3add34-0a1e-4a4e-9c7f-b00a0091e308**. Yours will be different.
:::

::::WorkflowBlockItem
:::CodeblockTabs
Response sample

```json
{
  "id": "6d3add34-0a1e-4a4e-9c7f-b00a0091e308",
  "customerId": "b71cf966-7896-40a0-88c5-af5g0138fc8c",
  "isPrimary": true,
  "idNumber": "123 456 789",
  "status": "Active",
  "idType": "DriversLicense",
  "issuedDate": "2022-07-15",
  "expDate": "2029-07-14",
  "issuingAuthority": "NY DMV",
  "issuingStateOrProvince": "NY",
  "issuingCountryCode": "US",
  "createdAt": "2023-05-22T04:51:09.4656083-04:00",
  "lastModifiedAt": "2023-05-22T04:51:09.4656083-04:00",
  "partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611"
}
```
:::
::::
:::::

:::hint{type="warning"}
**IMPORTANT**
It's up to you to keep this information up to date.
:::

